package domain


type AlibabaWdkItemFuturepriceQueryResult struct {
    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        异常信息     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        商品未来价     */
    Models  *[]AlibabaWdkItemFuturepriceQueryModel `json:"models,omitempty" `

}

func (s *AlibabaWdkItemFuturepriceQueryResult) SetReturnCode(v string) *AlibabaWdkItemFuturepriceQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryResult) SetReturnMsg(v string) *AlibabaWdkItemFuturepriceQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryResult) SetSuccess(v bool) *AlibabaWdkItemFuturepriceQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemFuturepriceQueryResult) SetModels(v []AlibabaWdkItemFuturepriceQueryModel) *AlibabaWdkItemFuturepriceQueryResult {
    s.Models = &v
    return s
}
